import type { CanvasPage, CanvasPageDB, CanvasPeer, CanvasPeers } from "../../../../shared/types/Canvas";
export declare let canvasPages: CanvasPageDB[];
export declare function canvasPageByUrl(slug: string): Promise<CanvasPageDB | null>;
export declare function allCanvasPages(): Promise<CanvasPageDB[]>;
/**
 * When we are in faker mode we store in memory and also directly
 * write out to the www/build/config.json so the client can visit the
 * new page directly.
 *
 * @param canvasPageInput
 */
export declare function canvasPageCreate(canvasPageInput: CanvasPage): Promise<CanvasPageDB>;
export declare function canvasPageEdit(id: string, canvasPageInput: CanvasPage): Promise<CanvasPageDB>;
export declare function canvasPageById(id: string): Promise<CanvasPageDB | null>;
export declare function canvasOpenPeers(id: string, peerInput: CanvasPeer): Promise<CanvasPeers>;
export declare function canvasClosePeers(id: string): Promise<CanvasPage>;
export declare function canvasPollPeers(id: string): Promise<CanvasPeers | null>;
